"use client"

import React from 'react'
import Carousel from "react-multi-carousel";
import "react-multi-carousel/lib/styles.css";
import CarouselItem from '../universal/LandForYou/CarouselItem';

const responsive = {
    superLargeDesktop: {
        breakpoint: { max: 4000, min: 3000 },
        items: 1,
        slidesToSlide: 1
    },

    desktop: {
        breakpoint: { max: 3000, min: 1024 },
        items: 1,
        slidesToSlide: 1
    },
    tablet: {
        breakpoint: { max: 1024, min: 464 },
        items: 1,
        slidesToSlide: 1
    },
    mobile: {
        breakpoint: { max: 464, min: 0 },
        items: 1,
        slidesToSlide: 1
    }
};

const LandNearYou = () => {
    return (
        <>
            <div className='bg-[#ededed] rounded-lg py-4 lg:px-8 px-2 flex lg:flex-row flex-col lg:gap-16 gap-8 mx-auto mt-10 lg:w-[80%]'>
                <div className="flex flex-col gap-4 lg:w-1/3 w-full">
                    <p className='font-semibold text-3xl'>Buy Land Near You</p>
                    <p className='font-semibold text-sm'>Search land and lifestyle real estate <br />including, Commercial land, Agricultural <br /> Land, residential, and more</p>

                    <button className='bg-brand p-2 rounded-lg text-white font-semibold w-fit'>Land for sale near me</button>
                </div>

                <div className="lg:w-2/3 w-full">
                    <Carousel
                        responsive={responsive}
                        infinite={true}
                        arrows={false}
                        showDots={true}
                        itemClass='lg:px-2'
                        transitionDuration={1000}
                        autoPlay={true}
                        autoPlaySpeed={1000}
                        className='w-full pb-8'
                      
                    >
                        {[1,2,3,4,5].map((item)=> (
                            <CarouselItem key={item+"carousel"}/>
                        ))}
                    </Carousel>
                </div>
            </div>
        </>
    )
}

export default LandNearYou;
